﻿@using Microsoft.Ajax.Utilities
@using Microsoft.Web.Mvc
@using Microsoft.Web.Mvc.Html
@model HOD.Models.VirtualListing

@{
    Layout = "~/Views/Shared/_DefaultLayout.cshtml"; 
}




    <div class="panel-body" style="background-color:  #ffffff">
    <section id="loginForm">
@using (Html.BeginForm("AddDetails","Listing", Model, FormMethod.Post, new {@class="form-horizontal", @role="form", enctype = "multipart/form-data"})) {
    @Html.AntiForgeryToken()
    //@Html.ValidationSummary(false)
    
        <script type="text/javascript">
            if (window.FileReader) {
              //then your code goes here
            } else {
              alert('This browser does not support FileReader');
            }

            $(document).ready(function () {
                document.getElementById('image1').addEventListener('change', handleFileSelect1, false);
                document.getElementById('image2').addEventListener('change', handleFileSelect2, false);
                document.getElementById('image3').addEventListener('change', handleFileSelect3, false);
                document.getElementById('image4').addEventListener('change', handleFileSelect4, false);

                function handleFileSelect1(evt) {
                    var files = evt.target.files;
                    var f = files[0];
                    var reader = new FileReader();

                    reader.onload = (function (theFile) {
                        return function (e) {
                            document.getElementById('list1').innerHTML = ['<img src="', e.target.result, '" title="', theFile.name, '" width="60" />'].join('');
                        };
                    })(f);

                    reader.readAsDataURL(f);
                }

                function handleFileSelect2(evt) {
                    var files = evt.target.files;
                    var f = files[0];
                    var reader = new FileReader();

                    reader.onload = (function (theFile) {
                        return function (e) {
                            document.getElementById('list2').innerHTML = ['<img src="', e.target.result, '" title="', theFile.name, '" width="60" />'].join('');
                        };
                    })(f);

                    reader.readAsDataURL(f);
                }

                function handleFileSelect3(evt) {
                    var files = evt.target.files;
                    var f = files[0];
                    var reader = new FileReader();

                    reader.onload = (function (theFile) {
                        return function (e) {
                            document.getElementById('list3').innerHTML = ['<img src="', e.target.result, '" title="', theFile.name, '" width="60" />'].join('');
                        };
                    })(f);

                    reader.readAsDataURL(f);
                }

                function handleFileSelect4(evt) {
                    var files = evt.target.files;
                    var f = files[0];
                    var reader = new FileReader();

                    reader.onload = (function (theFile) {
                        return function (e) {
                            document.getElementById('list4').innerHTML = ['<img src="', e.target.result, '" title="', theFile.name, '" width="60" />'].join('');
                        };
                    })(f);

                    reader.readAsDataURL(f);
                }
            });
        </script>
       
    <div class="form-group">        
        <fieldset class="">
            <!--legend>Create Virtual Listing</!--legend-->
           
            <div class="form-group">
                @Html.LabelFor(m => m.LocationDesc,"Location Description", new {@class ="col-sm-2 control-label"})
                <div class="col-sm-6" align="left">
                    @Html.TextAreaFor(m => m.LocationDesc, new  {@class="form-control", @rows="4", @maxlength="500",  @placeholder="Describe the location of your property the type of neighborhood  is close to school, main highway, subway, shops etc."} )
                </div>
                @Html.ValidationMessageFor(m => m.LocationDesc)
            </div>                
            
            <div class="form-group">
                @Html.LabelFor(m => m.ImagesLocation,"Image 1", new {@class ="col-sm-2 control-label"})
                <div class="col-sm-8" align="left">
                    <!--input type="file" name="ImagesVirtualSign"/-->
                @Html.TextBoxFor(m => m.ImagesLocation, "ImagesLocation", new {@class="col-sm-6 control-label", type="file", accept="image/*", id="image1"})
@*                    <input type="file" id="files" />*@
                    <output id="list1"></output>
                </div>
            </div>

            <div class="form-group">
                @Html.LabelFor(m => m.ImagesLocation,"Image 2", new {@class ="col-sm-2 control-label", type="file", accept="image/*"})
                <div class="col-sm-8" align="left">
                    @Html.TextBoxFor(m => m.ImagesLocation, "ImagesLocation", new {@class="col-sm-6 control-label", type="file", accept="image/*", id="image2"})                
                    <!--input type="file" name="ImagesVirtualSign" class=""/-->
                    <output id="list2"></output>
                </div>
            </div>

                        <div class="form-group">
                @Html.LabelFor(m => m.ImagesLocation,"Image 3", new {@class ="col-sm-2 control-label", type="file", accept="image/*"})
                <div class="col-sm-8" align="left">
                    @Html.TextBoxFor(m => m.ImagesLocation, "ImagesLocation", new {@class="col-sm-6 control-label", type="file", accept="image/*", id="image3"})                
                    <!--input type="file" name="ImagesVirtualSign" class=""/-->
                    <output id="list3"></output>
                </div>
            </div>

                        <div class="form-group">
                @Html.LabelFor(m => m.ImagesLocation,"Image 4", new {@class ="col-sm-2 control-label", type="file", accept="image/*"})
                <div class="col-sm-8" align="left">
                    @Html.TextBoxFor(m => m.ImagesLocation, "ImagesLocation", new {@class="col-sm-6 control-label", type="file", accept="image/*", id="image4"})                
                    <!--input type="file" name="ImagesVirtualSign" class=""/-->
                    <output id="list4"></output>
                </div>
            </div>

            <div class="form-group">                
@*                <input type="submit" value="Add Details to Listing" onclick="location.href='@Url.Action("AddDetails", "Listing", Model)'" class="btn btn-primary btn-lg" />*@
                @Html.SubmitButton("btnAddDetails","Add Details to Listing", new {@class="btn btn-primary btn-lg"})
            </div>
        </fieldset>
    </div>
}
</section>

    </div>
